//////////////////////////////////////////////////////////////////////////////
// data.h                                                                   //
//////////////////////////////////////////////////////////////////////////////
#ifndef _DATA_H
#define _DATA_H

//////////////////////////////////////////////////////////////////////////////
// variables                                                                //
//////////////////////////////////////////////////////////////////////////////
// uncompressed:
extern unsigned char log[];
extern unsigned char tilemap[];
extern unsigned char attrmap[];
extern UWORD palettes[];
extern unsigned char music[];

// compressed:
extern unsigned char tiles0[];
extern unsigned char tiles1[];
extern unsigned char alog[];

//////////////////////////////////////////////////////////////////////////////
// prototypes                                                               //
//////////////////////////////////////////////////////////////////////////////
void LoadTiles();
void LoadSprites();
void InitSprites();
void HideSprites();

#endif // _DATA_H
